Flavours API Documentation
  1. Zatca
Flavours API Documentation
  • Readme
  • Developer Guide
  • Authorization
  • Includables
  • Pagination
  • Sorting
  • Retrieve Market Information
  • Retrieve Branch Information
  • Me
    • Overview
    • Detail
      GET
  • Branches
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Orders
    • Overview
    • List
    • Detail
    • Create
    • Calculate
    • Checkout
    • Update
    • Sync
  • Customers
    • Overview
    • List
    • Detail
    • Create
    • Update
  • Products
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Product Categories
    • Overview
    • List
    • Detail
  • Discounts
    • Overview
    • List
    • Detail
    • Verify
  • Payment Methods
    • Overview
    • List
    • Detail
  • Table
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Printer
  • Webhook
    • Orders Webhooks
      • Webhook Events
      • Payload
    • Product Webhooks
      • Webhook Events
      • Payload
    • Loyalty Webhooks
      • Promotional Coupon
    • Customers Webhooks
      • Webhook Events
      • Payload
    • Error Webhook
      • Stay Alert to Connectivity Issues
    • Third-Party
      • Ballurh
        • Install Ballurh
      • Loyapro
        • Loyalty
          • Check Reward
          • Redeem Reward
      • Bonat
        • Check Reward
        • Redeem Reward
      • Fai
        • Register Entity
      • Blend
        • Authorization
        • Get Menu
        • Get Branches
        • Create Order
        • Update Order
      • Zatca
        • Onboard Devices
          POST
        • Invoices Generate
          POST
        • Send Invoices
          POST
        • Get Devices
          GET
        • Get Devices Detail
          GET
        • Remove Devices
          DELETE
  1. Zatca

Onboard Devices

Developing
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
POST
https://api.flavours.sa/dev/api/v2
/zatca/onboard

Request

Authorization
Add parameter in header
API-TOKEN
Example:
API-TOKEN: ********************
Body Params application/jsonRequired

Example
{
    "name": "Flavours",
    "otp": "475230",
    "environment_type": "Production",
    "csr_config": {
        "csr.common.name": "TST-202603121-311076286800003",
        "csr.serial.number": "1-FLAVOURS|2-SA.002|3-ed22f1d8-e6a2-1118-9b58-d9a8f11e445g",
        "csr.organization.identifier": "311076286800003",
        "csr.organization.unit.name": "NIKHATI",
        "csr.organization.name": "NIKHATI",
        "csr.country.name": "SA",
        "csr.invoice.type": "1100",
        "csr.location.address": "RERA4351",
        "csr.industry.business.category": "food"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.flavours.sa/dev/api/v2/zatca/onboard' \
--header 'API-TOKEN: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Flavours",
    "otp": "475230",
    "environment_type": "Production",
    "csr_config": {
        "csr.common.name": "TST-202603121-311076286800003",
        "csr.serial.number": "1-FLAVOURS|2-SA.002|3-ed22f1d8-e6a2-1118-9b58-d9a8f11e445g",
        "csr.organization.identifier": "311076286800003",
        "csr.organization.unit.name": "NIKHATI",
        "csr.organization.name": "NIKHATI",
        "csr.country.name": "SA",
        "csr.invoice.type": "1100",
        "csr.location.address": "RERA4351",
        "csr.industry.business.category": "food"
    }
}'

Responses

🟠404Not Found
application/json
Body

Example
{
    "detail": "string"
}
Modified at 2026-03-12 15:53:28
Previous
Update Order
Next
Invoices Generate
Built with